/*------------------------------------------------------------------------
 * Track
 *
 * Reports: OK, S_visuserv_POSTER_NOT_FOUND, S_visuserv_NO_INIT		*/

/* ----------- visuservTrackStart ------------ */
ACTIVITY_EVENT visuservTrackStart(int *report)
{
  /* Poster name : */
  strcpy(SDI_F->postersName.visualDataPosterName,VISUSERV_DEFAULT_VISUALDATA_POSTERNAME);
  //  printf("--- TRACK INIT --- %s\n",SDI_F->postersName.effectorPosterName);
  
  /* Poster find : */
  if (posterFind(SDI_F->postersName.visualDataPosterName, (POSTER_ID *)&SDI_F->PosterId) == ERROR) {
    SDI_F->PosterId = -1;
    *report = S_visuserv_POSTER_ERROR;
    printf ("TrackStart: poster %s not found\n",SDI_F->postersName.effectorPosterName);
  return ETHER;
  }
  	
  return EXEC;
}

/* ----------- visuservTrackExec ------------ */
ACTIVITY_EVENT visuservTrackExec(int *report)
{
  VISUSERV_VISUAL_DATA_STR 	visualData;

  //int xc=160.0,yc=120.0; //2-4 bon	
  //int ze=0;

  /* Read references from poster */
  if (posterRead((POSTER_ID)SDI_F->PosterId,0,(void *) &visualData,sizeof(VISUSERV_VISUAL_DATA_STR))==ERROR) 
  { SDI_F->PosterId = -1;
    *report = S_visuserv_POSTER_ERROR;
    return ETHER;
  }

  // Calcul des Erreurs et des commandesXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
   printf("x = %.2f | y = %.2f ",visualData.x,visualData.y);
 
  // Write in poster Effector
   SDI_F->effectorRef.pan = (visualData.x)/954000;
   SDI_F->effectorRef.tilt = 9 + visualData.y;
   printf("|| xm = %.2f | ym = %.2f --> Track \n",SDI_F->effectorRef.pan,SDI_F->effectorRef.tilt);
  
  return EXEC;
}
